#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define pll pair <ll, ll>
#define ret return
#define pb push_back
#define all(x) x.begin(), x.end()
#define fr first
#define sc second
vector <int> solve(vector <int> a) {
    int n = a.size();
    vector <int> ans;
    if((n - 1) % 2 == 0) {
        for(int i = 0; i < (n - 1) / 2 - 1; ++i) ans.pb(i);
        ans.pb(n - 1); 
    } else {
        for(int i = 0; i < (n - 2) / 2; ++i) ans.pb(i);
        ans.pb(n - 1); 
    }
    return ans;
}
int main() {
    ios::sync_with_stdio(0); cin.tie(0);

    int t;
    cin >> t;
    while(t--) {
        int n;
        cin >> n;
        vector <int> a(n);
        for(int i = 0; i < n; ++i) cin >> 
    }
}
